package com.engine.salary.mapper.datacollection;

import com.engine.salary.entity.datacollection.dto.OtherDeductionListDTO;
import com.engine.salary.entity.datacollection.dto.OtherDeductionRecordDTO;
import com.engine.salary.entity.datacollection.param.OtherDeductionQueryParam;
import com.engine.salary.entity.datacollection.po.OtherDeductionPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface OtherDeductionMapper {

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	OtherDeductionPO getById(Long id);


	/**
	 * 查询数据采集-其他免税扣除列表
	 * @param param
	 * @return
	 */
	List<OtherDeductionListDTO> list(@Param("param") OtherDeductionQueryParam param);


	List<OtherDeductionRecordDTO> recordList(@Param("param") OtherDeductionQueryParam param);

	List<OtherDeductionPO> listSome(@Param("param") OtherDeductionPO param);

	/**
	 * 批量插入
	 * @param pos
	 */
	void insertData(@Param("collection") List<OtherDeductionPO> pos);

	/**
	 * 批量修改
	 * @param pos
	 */
	void updateData(@Param("collection") List<OtherDeductionPO> pos);

	/**
	 * 批量删除
	 * @param longs
	 */
    void deleteData(List<Long> longs);
}